Subject: Re: bug#48025: 28.0.50; Add an invocation option to inhibit native-compilation functionality

From: Eli Zaretskii <[email-masked]>
Date: Thu, 29 Apr 2021 16:55:56 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: Phil Sainty <[email-masked]>, [email-masked]
> Date: Wed, 28 Apr 2021 19:39:38 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Could we rename any such variables so that everything to do with
> >> native compilation includes the word "native"?
> >
> > Yes, I think it's a good idea.  Perhaps also the commands in comp.el
> > and even some non-interactive functions?
> 
> I'll be happy to rename these functions if we come-up with a list.

Here's a list I came up with:

 comp-limple-mode
 comp-speed
 comp-debug
 comp-verbose
 comp-always-compile
 comp-bootstrap-deny-list
 comp-never-optimize-functions
 comp-async-jobs-number
 comp-async-cu-done-functions
 comp-async-all-done-hook
 comp-async-env-modifier-form
 comp-async-report-warnings-errors
 comp-async-query-on-exit
 comp-native-driver-options
 comp-warning-on-missing-source